org.apache.hadoop.hdfs.server.datanode.metrics

## Class DataNodeMetricHelper

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.metrics.DataNodeMetricHelper

-     public class DataNodeMetricHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataNodeMetricHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `getMetrics(org.apache.hadoop.metrics2.MetricsCollector collector, org.apache.hadoop.hdfs.server.datanode.metrics.FSDatasetMBean beanClass, String context)` Get metrics helper provides Helper function for metrics2 interface to act as a Metric source

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataNodeMetricHelper

          public DataNodeMetricHelper()

  - ### Method Detail

    - #### getMetrics

          public static void getMetrics(org.apache.hadoop.metrics2.MetricsCollector collector,
                                        org.apache.hadoop.hdfs.server.datanode.metrics.FSDatasetMBean beanClass,
                                        String context)
                                 throws IOException

      Get metrics helper provides Helper function for metrics2 interface to act as a Metric source
      Parameters:
        `collector` - Metrics Collector that is passed in
        `beanClass` - The Class that currently impliments the metric functions
        `context` - A string that idenitifies the context
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.